/* video.h 
 *
 * Copyright (C) 2017 Timothy Richard Musson
 *
 * Email: Tim Musson <trmusson@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 */


#ifndef HAVE_VIDEO_H
#define HAVE_VIDEO_H

#include "config.h"
#include "profile.h"

#ifdef ENABLE_NCURSES
#include <ncurses.h>
#endif


typedef struct _Video Video;


Video*  video_new (Profile *p, xbool_t fullscreen);
void    video_free (Video *v);

void    video_refresh (void);

void    video_set_fullscreen (Video *v, xbool_t fullscreen);

void    environment_event_handler (xbool_t *quit);

#ifdef ENABLE_NCURSES
WINDOW* video_get_window_ncurses (Video *v);
#endif


#endif

