/* xcsvio.h - CSV/TSV file input/output
 *
 * Copyright (C) 2009, 2019 Timothy Richard Musson
 *
 * Email: Tim Musson <trmusson@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef HAVE_XCSVIO_H
#define HAVE_XCSVIO_H

typedef struct _XCsv XCsv;


XCsv*       xcsv_open_r (const char *fname, char delimiter, XError **err);
XCsv*       xcsv_open_w (const char *fname, char delimiter, XError **err);
void        xcsv_close (XCsv *csv);

const char* xcsv_get_filename (XCsv *csv);
char*       xcsv_escape_text (const char *text);

void        xcsv_row_write (XCsv *csv);
xlist_t*    xcsv_row_read (XCsv *csv, XError **err);
xlist_t*    xcsv_row_unlink (XCsv *csv);
void        xcsv_row_clear (XCsv *csv);
void        xcsv_row_add_field (XCsv *csv, const char *text);
void        xcsv_row_set_field (XCsv *csv, int n, const char *text);
const char* xcsv_row_get_field (XCsv *csv, int n);
void        xcsv_row_copy (XCsv *csv, xlist_t *src);


#endif /* HAVE_XCSVIO_H */

