/* basic2tape.c
 *
 * Fed a plain ASCII BASIC file via stdin, writes it back to stdout with
 * Ohio Scientific C1P tape control characters added.
 *
 * 1st line: ASCII CR (13) followed by ten NULs (0)
 * 2nd line: ASCII LF (10), CR (13), then ten NULs (0)
 * Subsequent lines begin with LF (10) and end with a CR (13) followed by
 * ten NULs (0)
 *
 * Compilation:
 *
 *   $ gcc basic2tape.c -o basic2tape
 *
 * Usage:
 *
 *   $ basic2tape < FILE_IN.txt > FILE_OUT.txt
 *
 *
 * -----
 *
 *   Copyright (C) 2020 Timothy Richard Musson
 *
 *   Copying and distribution of this file, with or without modification,
 *   are permitted provided the copyright notice and this notice are
 *   preserved.
 *
 */

#include <stdio.h>
#include <stdlib.h>


static void
myputc (int ch, int n)
{
	int i;

	for (i = 0; i < n; i++) {
		fputc (ch, stdout);
	}
}


int
main (int argc, char *argv[])
{
	int ch;

	myputc (13, 1);
	myputc (0, 10);

	myputc (10, 1);
	myputc (13, 1);
	myputc (0, 10);

	myputc (10, 1);
	myputc (13, 1);
	myputc (0, 10);

	for (;;) {

		printf ("\n");

		for (;;) {

			ch = getc (stdin);

			if (ch == '\n' || ch == EOF) {
				myputc (13, 1);
				myputc (0, 10);
				break;
			}

			myputc (ch, 1);

		}

		if (ch == EOF) {
			break;
		}

	}

	return 0;
}

